# Enum AndroidMinSdk

java.lang.Object
java.lang.Enum<AndroidMinSdk>
com.codename1.annotations.buildhints.AndroidMinSdk

All Implemented Interfaces:
  `Comparable<AndroidMinSdk>`

public enum AndroidMinSdk extends Enum<AndroidMinSdk>

The Android API level an app runs on at the lowest.

A closed set rather than an `int`, because this is not an arbitrary number: it is the platform floor the build supports, the builder parses it and compares it against real thresholds -- multidex below 21, Android Auto below 23 -- and a level outside this range is a typo rather than a choice.

The build server raises it on its own where a feature demands more, so picking a low level here is a floor and not a promise: adding Android Auto to a project pinned at `API_19` builds at 23.

A level not listed is not a dead end. The properties file takes `codename1.arg.android.min_sdk_version` unchanged, which is the escape hatch for a platform newer than this framework build knows about.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `API_19`
  Android API level 19.
  `API_20`
  Android API level 20.
  `API_21`
  Android API level 21.
  `API_22`
  Android API level 22.
  `API_23`
  Android API level 23.
  `API_24`
  Android API level 24.
  `API_25`
  Android API level 25.
  `API_26`
  Android API level 26.
  `API_27`
  Android API level 27.
  `API_28`
  Android API level 28.
  `API_29`
  Android API level 29.
  `API_30`
  Android API level 30.
  `API_31`
  Android API level 31.
  `API_32`
  Android API level 32.
  `API_33`
  Android API level 33.
  `API_34`
  Android API level 34.
  `API_35`
  Android API level 35.
  `API_36`
  Android API level 36.
  `DEFAULT`
  Say nothing, and let the build server apply its own default.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AndroidMinSdk`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AndroidMinSdk[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEFAULT

    public static final AndroidMinSdk DEFAULT
    Say nothing, and let the build server apply its own default.

  - ### API_19

    public static final AndroidMinSdk API_19
    Android API level 19.

  - ### API_20

    public static final AndroidMinSdk API_20
    Android API level 20.

  - ### API_21

    public static final AndroidMinSdk API_21
    Android API level 21.

  - ### API_22

    public static final AndroidMinSdk API_22
    Android API level 22.

  - ### API_23

    public static final AndroidMinSdk API_23
    Android API level 23.

  - ### API_24

    public static final AndroidMinSdk API_24
    Android API level 24.

  - ### API_25

    public static final AndroidMinSdk API_25
    Android API level 25.

  - ### API_26

    public static final AndroidMinSdk API_26
    Android API level 26.

  - ### API_27

    public static final AndroidMinSdk API_27
    Android API level 27.

  - ### API_28

    public static final AndroidMinSdk API_28
    Android API level 28.

  - ### API_29

    public static final AndroidMinSdk API_29
    Android API level 29.

  - ### API_30

    public static final AndroidMinSdk API_30
    Android API level 30.

  - ### API_31

    public static final AndroidMinSdk API_31
    Android API level 31.

  - ### API_32

    public static final AndroidMinSdk API_32
    Android API level 32.

  - ### API_33

    public static final AndroidMinSdk API_33
    Android API level 33.

  - ### API_34

    public static final AndroidMinSdk API_34
    Android API level 34.

  - ### API_35

    public static final AndroidMinSdk API_35
    Android API level 35.

  - ### API_36

    public static final AndroidMinSdk API_36
    Android API level 36.

- ## Method Details

  - ### values

    public static AndroidMinSdk[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AndroidMinSdk valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null